com.sun.grid.jgdi.event

## Class Event

- java.lang.Object
- - com.sun.grid.jgdi.event.Event

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    ChangedObjectEvent, ConnectionClosedEvent, ConnectionFailedEvent, JobEvent, ListEvent, QmasterGoesDownEvent, SchedulerRunEvent, ShutdownEvent

      public class Event
      extends java.lang.Object
      implements java.io.Serializable

  Base class for all events
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Event(EventType eventType, long timestamp, int eventId)` Create a new instance of event

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEventId()` get the event id
    `long` | `getTimestamp()` Timestamp when the event occured
    `EventType` | `getType()` event type (add, del, mod)
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Event

          public Event(EventType eventType,
                       long timestamp,
                       int eventId)

      Create a new instance of event
      Parameters:
        `eventType` - event type (SGE_EMA_LIST, SGE_EMA_ADD, SGE_EMA_MOD, SGE_EMA_DEL or SGE_EMA_TRIGGER )
        `timestamp` - timestamp when the event occurect
        `eventId` - unique event id

  - ### Method Detail

    - #### getType

          public EventType getType()

      event type (add, del, mod)

    - #### getTimestamp

          public long getTimestamp()

      Timestamp when the event occured

    - #### getEventId

          public int getEventId()

      get the event id

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.